using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Base
{
    public class PageInputBase
    {
        /// <summary>
        /// 当前页码
        /// </summary>
        private int current;
        public virtual int Current
        {
            get
            {
                return current;
            }
            set
            {

                current = value;
                if (current <= 0)
                {
                    current = 1;
                }
            }
        }
        //public int? Status { get; set; }
        /// <summary>
        /// 页码容量
        /// </summary>

        private int pagesize;
        public virtual int PageSize
        {
            get
            {
                return pagesize;
            }
            set
            {

                pagesize = value;
                if (pagesize <= 0)
                {
                    pagesize = 10;
                }
            }
        }
    }
}
